Subject: Re: 405 -- a little console help, part 2

From: Mark Pilon <[email-masked]>
Date: Fri, 09 Nov 2001 06:40:25 -0700

David Gibson wrote:
>
> Ah, I think I know why this might be - are you using the 2_4_devel
> tree?
>
> All static executables segfaulted before reaching main until very
> recently: the 4xx's MMU makes it possible to actually enforce the
> execute permission bit on pages.  Since most processors don't allow
> this, however, there are heaps of bugs in userland (binutils etc.)
> where pages aren't marked executable that need to be.  In this case
> there was instruction just before the got that wasn't marked
> executable.
>
> For now, at least, I've disabled enforcement of the page execute
> permissions, because there's just too much stuff that breaks with it
> on.

What's the fix for this?  It sounds like I want to un-do that change
enforcing page execute permissions -- David, could you give me
a spot to look and a suggested patch?  anyone?

thanks,

Mark
--
Mark Pilon

Minolta-QMS
P.O. Box 37
Fallon, MT.  59326-0037

1-406-853-0433

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/